Luxor PlatformAPI DocumentationCommanderTickets

Release ticket part

Releases a part reservation for one linked device, returning the units to available stock. Returns 204.

POST
/v2/commander/tickets/{ticket_id}/parts/release

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

ticket_id*string

Ticket id (uuid).

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/commander/tickets/497f6eca-6276-4993-bfeb-53cbbbba6f08/parts/release" \  -H "Content-Type: application/json" \  -d '{    "part_id": "28c660ae-a12c-4da7-9243-03385b104cf1",    "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4"  }'
Empty
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 403,  "code": "7",  "error": "Forbidden",  "message": "[permission_denied] site_id does not belong to this workspace"}
{  "statusCode": 404,  "code": "5",  "error": "Not Found",  "message": "[not_found] agent not found"}